from artiq.experiment import *

class TTLOUT(EnvExperiment):
    """ test de conteo

    """
    def build(self):
        # Busco en el archivo device_db.py estos 'componentes', y los traigo como
        # partes del constructor este.
        self.setattr_device("core")
        self.setattr_device("ttl4")
        self.setattr_device("ttl0")

    @kernel
    def run(self):
        self.core.reset()
        self.ttl4.output()
        self.ttl0.input()

        delay(100*ms)
        self.ttl4.on()
        delay(1*s)
#        pulsos_base=self.ttl0.count(now_mu())
#        delay(3*ms)
#        datos=[]
#        for _ in range(1, 10):
        #hasta_aca=self.ttl0.gate_both(3*us)
        pulsos=self.ttl0.count(self.ttl0.gate_both(3*us))
#            datos=datos+[pulsos]
        delay(3*ms)
        self.ttl4.off()
        delay(1*s)
        print(pulsos)


	
	
	

